comedi_set_max_buffer_size
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_set_max_buffer_size — streaming maximum buffer size of subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_set_max_buffer_size(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int max_size`)`;

## Description

The function `comedi_set_max_buffer_size` changes the maximum allowable size (in bytes) of the streaming buffer for the subdevice specified by `device` and `subdevice`. Changing the maximum buffer size requires the user to have appropriate privileges.

## Return value

On success, `comedi_set_max_buffer_size` returns the new maximum buffer size in bytes. On failure, `-1` is returned.

Prev | Up | Next
comedi_set_buffer_size | Home | comedi_set_read_subdevice